Bug 220377 - Number of matches is not updated when limiting time
Summary: Number of matches is not updated when limiting time
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: Annotation Dialog (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-28 12:04 UTC by Risto H. Kurppa
Modified: 2012-02-10 23:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Risto H. Kurppa 2009-12-28 12:04:51 UTC
Kubuntu Karmic (9.10), KDE 4.3.4, KPhotoalbum 4.1.1.

On the home/main view, when I limit the time of shown images to say for example one month, the number of matched images doesn't change but stays in the total number of images.

Again:
I have 51352 photos in my database.
Home view shows me 51352 matches, total 51352
When I now limit to one month only by pressing below the date bar so that it's hilighted in blue (statusbar shows me the month and number of images, all other months are made passive), I still have the same 51352 matches, total 51352 on the bottom bar.

Expected behaviour:
When limiting the time, the # of matched images would be shown on the bottom bar.
Comment 1 Jesper Pedersen 2009-12-28 17:20:28 UTC
I see this behavior too. Darn, had you just tried the snapshots I'd send out back then, then I'm sure it would be an easy one to fix....
Comment 2 Risto H. Kurppa 2009-12-28 19:21:58 UTC
I can live with it, just thought I'd report it as non-purposed feature to be fixed in next releases.. :)
Comment 3 Risto H. Kurppa 2011-07-24 06:53:27 UTC
I can still see this around..
Comment 4 Miika Turkia 2012-02-10 09:25:22 UTC
Git commit 3eb7eacbaeaeb9f4c5de1319b2d0955d8741f611 by Miika Turkia.
Committed on 10/02/2012 at 10:20.
Pushed by mturkia into branch 'master'.

Update selectin count on main window

Update the amount of images selected when selection is made on main
window using the date bar.

M  +1    -0    MainWindow/Window.cpp

http://commits.kde.org/kphotoalbum/3eb7eacbaeaeb9f4c5de1319b2d0955d8741f611